{
  "name": "getir-challenge",
  "version": "1.0.0",
  "description": "Challenge by getir",
  "main": "index.js",
  "scripts": {
    "start": "node src/index.js",
    "prepare": "husky install",
    "coverage": "jest -i --coverage",
    "test": "jest -i --colors --verbose"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/itsmylife.srb/geitr-challenge.git"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.(ts|js|html|css|scss|json)": [
      "prettier --write"
    ],
    "*.js": "eslint --cache --fix"
  },
  "author": "Soumyarup",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/itsmylife.srb/geitr-challenge/issues"
  },
  "homepage": "https://gitlab.com/itsmylife.srb/geitr-challenge#readme",
  "dependencies": {
    "change-case-object": "^2.0.0",
    "compression": "^1.7.4",
    "cors": "^2.8.5",
    "dotenv": "^10.0.0",
    "express": "4.17.1",
    "express-mongo-sanitize": "^2.1.0",
    "faker": "^5.5.3",
    "helmet": "^4.6.0",
    "husky": "^7.0.1",
    "jest": "^27.0.6",
    "jest-date": "^1.1.4",
    "joi": "^17.4.1",
    "lodash": "^4.17.21",
    "moment": "^2.29.1",
    "mongoose": "^5.13.3",
    "prettier": "^2.3.2",
    "supertest": "^6.1.3",
    "swagger-ui-express": "^4.1.6",
    "winston": "^3.3.3",
    "xss-clean": "^0.1.1",
    "yamljs": "^0.3.0"
  }
}
